/*
Theme Name: Oysha Child
Theme URI: https://oysha.qodeinteractive.com
Description: A child theme of Oysha
Author: Select Themes
Author URI: https://qodeinteractive.com
Version: 1.0
Text Domain: oysha
Template: oysha
*/

@font-face {
	font-family: "Gritlen";
	src:
		url("fonts/gritlen/Gritlen-Regular.woff2") format("woff2"),
		url("fonts/gritlen/Gritlen-Regular.woff") format("woff");
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Gritlen";
	src:
		url("fonts/gritlen/Gritlen-Italic.woff2") format("woff2"),
		url("fonts/gritlen/Gritlen-Italic.woff") format("woff");
	font-weight: 400;
	font-style: italic;
	font-display: swap;
}

@font-face {
	font-family: "Gritlen";
	src:
		url("fonts/gritlen/Gritlen-Medium.woff2") format("woff2"),
		url("fonts/gritlen/Gritlen-Medium.woff") format("woff");
	font-weight: 500;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Gritlen";
	src:
		url("fonts/gritlen/Gritlen-ItalicMedium.woff2") format("woff2"),
		url("fonts/gritlen/Gritlen-ItalicMedium.woff") format("woff");
	font-weight: 500;
	font-style: italic;
	font-display: swap;
}

@font-face {
	font-family: "Gritlen";
	src:
		url("fonts/gritlen/Gritlen-Bold.woff2") format("woff2"),
		url("fonts/gritlen/Gritlen-Bold.woff") format("woff");
	font-weight: 700;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Gritlen";
	src:
		url("fonts/gritlen/Gritlen-ItalicBold.woff2") format("woff2"),
		url("fonts/gritlen/Gritlen-ItalicBold.woff") format("woff");
	font-weight: 700;
	font-style: italic;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-ExtraLight.ttf") format("truetype");
	font-weight: 200;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-Light.ttf") format("truetype");
	font-weight: 300;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-Regular.ttf") format("truetype");
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-Medium.ttf") format("truetype");
	font-weight: 500;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-SemiBold.ttf") format("truetype");
	font-weight: 600;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-Bold.ttf") format("truetype");
	font-weight: 700;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Manrope";
	src: url("fonts/Manrope/Manrope-ExtraBold.ttf") format("truetype");
	font-weight: 800;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "September Spirit";
	src:
		url("fonts/September-Spirit/SeptemberSpirit.woff2") format("woff2"),
		url("fonts/September-Spirit/SeptemberSpirit.woff") format("woff");
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "September Spirit All Caps";
	src:
		url("fonts/September-Spirit/SeptemberSpiritAllCaps.woff2") format("woff2"),
		url("fonts/September-Spirit/SeptemberSpiritAllCaps.woff") format("woff");
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}



b, strong {
    font-weight: 500;
}

/* Gutenberg */
.wp-block-heading:not(:first-child) {
	margin-top: 2rem;
}

.wp-block-list {
	margin-left: 1.5rem !important;
}
/* -------------------- */


/* -------Slider blog and event */

.qodef--list .qodef-blog-item .qodef-e-title,
.qodef-timetable-events-list .qodef-e-title {
	font-size: 24px;
}

.qodef-timetable-events-list .qodef-e-event-additional-info {
	font-family: "September Spirit All Caps";
	font-size: 22px;
}
/* -------------------- */


.qodef-page-title {
	height: unset !important;
}

/* Article de blog  */
.qodef-e-info *,
blockquote * {
	font-family: "September Spirit All Caps";
}
/* blog : related post  */
#qodef-related-posts {
	padding-top: 0;
	margin-top: 0;
}
/* -------------------- */



/* slider des disciplines */
.qodef-interactive-link-showcase .qodef-m-item .qodef-e-title {
	font-family: "Gritlen";
}
/* -------------------- */


/* slider témoignage  */
.qodef-testimonials-list .qodef-e-text {
	font-family: "September Spirit All Caps";
}

.qodef-testimonials-list .qodef-e-author {
	font-family: "September Spirit";
	font-size: 25px;
}
/* -------------------- */



/* MENU Remove circle menu link */
.qodef-menu-item-circle {
	display: none !important;
}

/* header active color menu */
.current-menu-item > a {
	font-weight: bold !important;
}
.menu-item a {
	transition: all ease 500ms;
}

.menu-item a:hover {
	opacity: 0.7 !important;
}

/* -------------------- */

/* menu remove reservation link on desktop */

@media ( min-width : 1024px) {
	.visible-only-mobile{
		display: none;
	}
}


/* -------------------- */



/* Button animation */
.e-button-base {
	position: relative;
}
.e-button-base:after {
	--qodef-underline-position-y: 100%;
	content: "";
	position: absolute;
	left: 24px;
	bottom: 13px;
	height: 1px;
	background-repeat: no-repeat;
	width: calc(100% - 24px * 2);
	background-image: linear-gradient(
		transparent calc(100% - 1px),
		currentColor 1px
	);
	background-position-x: 100%;
	background-size: 0 var(--qodef-underline-position-y);
	transition:
		background-size 0.4s cubic-bezier(0.51, 0.5, 0.07, 0.99),
		color 0.2s ease-out;
}

.e-button-base:hover:after {
	background-size: 100% var(--qodef-underline-position-y);
	background-position-x: 0;
}

/* Footer */


#qodef-page-footer  .wp-social-link{
	background-color:transparent;
}

#qodef-page-footer  .wp-block-social-link{
	margin: 0 !important;
}

#qodef-page-footer .qodef-content-grid {
	max-width: var(--website-width-desktop, 1240px);
	width: auto;
}

/* menu footer légales */
#qodef-page-footer-bottom-area #menu-footer-legales {
	display: flex;
	gap: 15px;
	flex-wrap: wrap;
	justify-content: center;
}

#qodef-page-footer-bottom-area {
	font-size: 12px;
}


/* title footer */
.qodef-widget-title{
    font-family: "Gritlen";
	font-size: 22px;
}

/* text footer */
#qodef-page-footer .widget_block{
	font-size: 16px;
}